# pspell_config_mode

(PHP 4 >= 4.0.2, PHP 5, PHP 7)

pspell_config_mode — Change the mode number of suggestions returned

### Description

pspell_config_mode ( int `$dictionary_link` , int `$mode` ) : bool

pspell_config_mode() should be used on a config before calling pspell_new_config(). This function determines how many suggestions will be returned by pspell_suggest().

### Parameters

`dictionary_link`

`mode`

  The mode parameter is the mode in which spellchecker will work. There are several modes available:

  - `PSPELL_FAST` - Fast mode (least number of suggestions)
  - `PSPELL_NORMAL` - Normal mode (more suggestions)
  - `PSPELL_BAD_SPELLERS` - Slow mode (a lot of suggestions)

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 pspell_config_mode() Example

`<?php
$pspell_config = pspell_config_create("en");
pspell_config_mode($pspell_config, PSPELL_FAST);
$pspell_link = pspell_new_config($pspell_config);
pspell_check($pspell_link, "thecat");
?>`